# DocumentEditorSettings Object

> Document editor settings.

- **Product:** DS Server
- **Section:** Reference
- **Kind:** Object
- **Introduced:** 32.0
- **Path:** DS Server > Reference > JavaScript API > DocumentEditorSettings Object
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/llms-full.txt

---

## On This Page

- [Description](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/#description)
- [Syntax](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/#syntax)
- [Examples](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/#examples)
- [Members](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/#members)

---

## In This Section

- [Javascript: DocumentEditorSettings.connectionID Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/connectionid-property/llms.txt): Optional. The unique connection ID string.
- [Javascript: DocumentEditorSettings.contextMenusEnabled Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/contextmenusenabled-property/llms.txt): Optional. Sets whether a right click opens a context menu or not.
- [Javascript: DocumentEditorSettings.culture Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/culture-property/llms.txt): Optional. The culture. (e. g. 'de-DE') Affects date and time string formats, for example.
- [Javascript: DocumentEditorSettings.customQueryParams Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/customqueryparams-property/llms.txt): Optional. Custom query parameters.
- [Javascript: DocumentEditorSettings.editMode Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/editmode-property/llms.txt): Optional. Sets whether the document's text is read-only, can be selected or is editable.
- [Javascript: DocumentEditorSettings.formattingPrinter Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/formattingprinter-property/llms.txt): Optional. The name of a printer the text dimensions and capabilities of which are used to format the document.
- [Javascript: DocumentEditorSettings.reconnectTimeout Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/reconnecttimeout-property/llms.txt): Optional. Time in seconds before stopping reconnection attempts after a connection loss.
- [Javascript: DocumentEditorSettings.uiCulture Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/uiculture-property/llms.txt): Optional. The user interface culture. (e. g. 'en-US') Affects the string resource language.
- [Javascript: DocumentEditorSettings.userNames Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/usernames-property/llms.txt): Optional. An array of names specifying users who have access to editable regions. When a document is set to read-only all editable regions that are related to these users can be edited.
- [Javascript: DocumentEditorSettings.webSocketProtocols Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/websocketprotocols-property/llms.txt): Optional. An array of additional WebSocket sub-protocols to be passed to the WebSocket constructor. Can be used in order to pass authentication tokens, for example.

---

## Nearby

- **Previous:** [Javascript: Distances.top Property](https://docs.textcontrol.com/ds-server/reference/javascript/distances/top-property/llms.txt)
- **Next:** [Javascript: DocumentEditorSettings.connectionID Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/connectionid-property/llms.txt)
